package com.brilliance.isc.swift.swifteditor.tag.message;

import java.util.List;

public class CYC extends AbstractMessageArea {
    private final int type = CYC;


    public MessageArea clone() {
        CYC cp = new CYC();
        cp.setName(this.getName());
        List<MessageArea> fields = this.getFields();
        for (MessageArea field : fields)
            cp.addSubArea(field.clone());
        cp.setAnlyReg(this.getAnlyReg());
        cp.begNo = this.begNo;
        cp.endNo = this.endNo;
        return cp;
    }


    public int getType() {
        return type;
    }
}
